from django import template
from django.urls import reverse

register = template.Library()

navbar_options = [
    ("Home", reverse("GeoffreyHome")),
    ("Players", reverse("GeoffreyPlayers")),
    ("Shops", reverse("GeoffreyShops")),
    ("Bases", reverse("GeoffreyBases")),
    ("Towns", reverse("GeoffreyTowns")),
    ("Item Listings", reverse("GeoffreyItems"))
]

option_format = '<li class="nav-item{}"> <a class="nav-link" href="{}">{} </a> </li>'


@register.simple_tag
def get_navbar(page):
    navbar = ""

    for option in navbar_options:
        if page == option[0]:
            active = ' active'
        else:
            active = ''

        navbar += option_format.format(active, option[1], option[0])

    return navbar
